%{?python_enable_dependency_generator}
%global pypi_name importlib_metadata
%global pkg_name  importlib-metadata

Name:           python-%{pkg_name}
Version:        3.6.0
Release:        1%{?dist}
Summary:        Read metadata from Python packages

License:        ASL 2.0
URL:            http://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source}
Patch0:         importlib_metadata_setup.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-packaging
BuildRequires:  python3-toml

# Not available for El8
#BuildRequires:  python3-pyfakefs
BuildRequires:  python3-zipp >= 0.5
%{?el8:BuildRequires: python3-importlib-resources}

%description
importlib_metadata is a library which provides an API for accessing an
installed package’s metadata, such as its entry points or its top-level name.
This functionality intends to replace most uses of pkg_resources entry point
API and metadata API. Along with importlib.resources in Python 3.7 and newer
(backported as importlib_resources for older versions of Python), this can
eliminate the need to use the older and less efficient pkg_resources package.


%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}
Requires:     python3-zipp >= 0.5
Requires:     python3-typing-extensions >= 3.6.4

%description -n python3-%{pkg_name}
importlib_metadata is a library which provides an API for accessing an
installed package’s metadata, such as its entry points or its top-level name.
This functionality intends to replace most uses of pkg_resources entry point
API and metadata API. Along with importlib.resources in Python 3.7 and newer
(backported as importlib_resources for older versions of Python), this can
eliminate the need to use the older and less efficient pkg_resources package.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

# Don't ship docs sources
# rm -r %{buildroot}/%{python3_sitelib}/%{pypi_name}/docs/

# Missing deps for tests: pyfakefs
#%check
#%{__python3} setup.py test

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-?.?.?-py?.?.egg-info/

%changelog
* Sat Jan 14 2023 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 3.6.0-1
- Update to 3.6.0.

* Mon Jul 20 2020 Yatin Karel <ykarel@redhat.com> - 1.7.0-1
- Update to 1.7.0

* Wed Sep 18 2019 Miro Hrončok <mhroncok@redhat.com> - 0.23-1
- Update to 0.23

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 26 2019 Miro Hrončok <mhroncok@redhat.com> - 0.18-1
- Initial package
